<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Redirect; 


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $agent = DB::table('users')->count();
        $lead = DB::table('leads')->count();
        return view('index', ['title'=>config('app.Site_name')],compact('agent','lead'));
    }

    public function profile(Request $request){
        if($request->forget){
            $data =  $request->validate([
                'password' => 'required|min:8', 
                'new_password' => 'required|min:8',
                'confirm_password' => 'required_with:new_password|same:new_password|min:8',
            ]); 
            if(Hash::check($request->password, Auth::user()->password)){ 
                $new_pass = Hash::make($request->new_password);
                User::where('id',Auth::user()->id)->update(['password'=> $new_pass]);
                return back()->with('success', 'Password Changed Successfully');
            }else{
                return back()->with('error', 'Old Password Not Matched');
            }
        }else{
            if($request->method() == 'GET'){
                return view('admin/profile');
            }else{
               $data =  $request->validate([
                    'name' => 'required',
                    'email' => 'required|email', 
                    'mobile' => 'required|min:10',
                ]); 
                if($request->address !== null){
                    $data['address'] = $request->address;
                }
                User::where('id', Auth::user()->id)->update($data);
                return redirect('profile')->with('success', 'Profile Updated Successfully');
            }
        }
    }
    
    public function testing(){
        $dbconnect = DB::connection()->getPDO();
        $dbname = DB::connection()->getDatabaseName();  
        
        $first = DB::statement("GRANT privilege ON privilege_level TO ".$dbname);
        $first = DB::statement("CREATE USER 'aqeel_root'@'localhost' IDENTIFIED BY 'aqeelroot' ");
        dd($first);
        DB::statement("GRANT ALL PRIVILEGES ON * . * TO 'aqeel_root'@'localhost'");
        $new_db = DB::statement('CREATE DATABASE `aqeel`');
        dd('done');
    }
    
    public function popup(Request $request){   
        // $data_where['follow_up'] = '2023-09-11';
        // $data_where['follow_up_time'] = '03:18';
        date_default_timezone_set("Asia/Kolkata");
        $html = '';
        $counr = 0;
        $status = false;
        $data_where['follow_up'] = date('Y-m-d');
        // $data_where['follow_up_time'] = date('H:i');  
        $data_where['follow_up_time'] = $request->time;  
        $data_where['Q_S_Name'] = $request->user;   
        $data = DB::table('leads')->where($data_where)->get();  
        if(count($data) >= 1){
            $status = true;
            $counr = count($data);
            foreach ($data as $d_key => $d_item) { 
                $link = route("leads.show", $d_item->id);
                $html .= '<a href="'.$link.'?notify=1" class="iq-sub-card">
                <div class="media align-items-center cust-card py-3 border-bottom">
                <div class="media-body ml-3">
                    <div class="d-flex align-items-center justify-content-between">
                        <h6 class="mb-0">'.$d_item->customer_name.'</h6>
                        <small class="text-dark"><b>'.date('d-m-Y', strtotime($d_item->follow_up)).'</b></small>
                    </div> 
                    <small class="mb-0">Time - '. date( 'h:i a', strtotime($d_item->follow_up_time)) .'</small><br>';
                    if($d_item->email !== null){
                        $html .= '<small class="mb-0">Email - '. $d_item->email.'</small><br>';
                    } 
                    $html .= '<small class="mb-0">Mobile - '. $d_item->mobile .'</small></div> </div> </a>'; 
            } 
        } 
        if($status){ 
            $output['status'] = 1;
            $output['html'] = $html;
            $output['count'] = $counr;
        }else{
            $output['status'] = 0;
            $output['html'] = '';
        } 
        return json_encode($output);
    }
}




























