<?php

namespace App\Http\Controllers;

use App\Mail\Leadmail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail; 
use App\Models\Lead;
use Illuminate\Support\Facades\DB;

class Mailcontroller extends Controller
{
    public function index($id){ 
        try {
            $lead_data = DB::table('leads')
            ->where('leads.id', $id)
            ->leftJoin('countries', 'countries.id', 'leads.country')
            ->leftJoin('tbl_cities', 'tbl_cities.city_id', 'leads.city')
            ->leftJoin('tbl_states', 'tbl_states.state_id', 'leads.state')
            ->leftJoin('projects', 'projects.id', 'leads.project')
            ->leftJoin('users', 'users.id', 'leads.Q_S_Name')
            ->select('leads.*', 'tbl_cities.city_name', 'countries.name as country_name', 'tbl_states.state', 'projects.project_name', 'users.name')
            ->first();  
            if($lead_data->email !== null){
                Mail::to($lead_data->email)->send(new Leadmail($lead_data)); 
                return redirect('leads')->with('success', 'Mail Sent Successfully...!');
            }else{
                return redirect('leads')->with('error', 'Email Address Not Found In Lead...!');
            }
        } catch (\Exception $e) {
            return redirect('leads')->with('error', 'Somthing Went Wrong. Please check Email Address'); 
        }
    }
}
