<?php


namespace App\Http\Controllers;
use App\Models\Lead;
use Illuminate\Support\Facades\DB;
use App\Models\Status;
use App\Models\Project;
use App\Models\User;

use Illuminate\Http\Request;

class ReportController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(Request $request)
    {
        $status = Status::all();
        $projects = Project::all();
        $country = DB::table('countries')->get();
        $agents = User::all();
        $date_filter  = [];
        if($request->from_date != null){
            $date_filter[] = $request->from_date;
        }
        if($request->to_date != null){
            $date_filter[] = $request->to_date;
        }
        $filter  = [];
        if($request->status != null){
            $filter['current_status'] = $request->status;
        }
        if($request->project != null){
            $filter['project'] = $request->project;
        }
        if($request->city != null){
            $filter['city'] = $request->city;
        }
        if($request->state != null){
            $filter['state'] = $request->state;
        }
        if($request->country != null){
            $filter['country'] = $request->country;
        }
        if($request->created_by != null){
            $filter['created_by'] = $request->created_by;
        }  
        if(count($date_filter) == 1){ 
            $filter['created_at'] = $date_filter[0];
        }
        
        $tbl_data = '';
        if(!empty($filter)){ 
            $tbl_data = Lead::where($filter)->get(); 
        }else{
            $tbl_data = Lead::all();
        } 
        

        if(!empty($date_filter) && count($date_filter) == 2){
            $tbl_data = $tbl_data->whereBetween('created_at', $date_filter);
        }
        
        if(empty($date_filter) && empty($filter) && $request->notify == 1){
            $tbl_data = $tbl_data->where('follow_up','>=', date('Y-m-d')); 
        }  
        return view('admin/report/index',compact('status', 'projects', 'country', 'tbl_data', 'agents'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
