<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\Status;
use Illuminate\Support\Facades\DB;
use App\Http\Middleware\Userauth;

class StatusMasterController extends Controller
{
    public function __construct()
    {
        $this->middleware(Userauth::class);
    }

    public function index(){
        $all_status = Status::all();
        return view('admin/status/index', compact('all_status'));
    }

    public function create()
    {
    return view('admin/status/create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'status_name' => 'required|unique:status,status_name'
        ]);
        if(Status::create($data)){
            return redirect('status')->with('success', 'Lead Status Created');
        }else{
            return back()->with('error', 'Please try later');
        }
    }


    public function show(string $id)
    {

    }


    public function edit(string $id)
    {
        $data = Status::findorfail($id);
        return view('admin/status/edit', compact('data'));
    }


    public function update(Request $request, string $id)
    {
        $validate = $request->validate([
            'status_name' => 'required|unique:status,status_name'
        ]);
        $data = Status::findorfail($id);
        $check = Status::where('status_name',$validate['status_name'])
            ->where('id','!=',$id)
            ->first();
        if($check == null){
            DB::table('status')->where('id',$id)->update($validate);
            return redirect('status')->with('success', 'Lead Status Updated');
        }else{
            return back()->with('error', 'Status name already exist');
        }
    }

    public function destroy(string $id)
    {
        $find_status = Status::find($id);
        if($find_status !== null){
            if(DB::table('leads')->where('current_status', $find_status->id)->first() !== null){
                return back()->with('error', "Can't Delete Status Because It's Used In Leads");
            }else{
                $find_status->delete();
                return redirect()->back()->with('success', ' Status Deleted Successfully.');
            }
        }else{
            return back('error','Status Not Found');
        }
    }
}
