<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class Userauth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if(Auth::user()->user_type == 1){
            return $next($request);
        }else{
            $access = ['agents', 'status'];
            if(in_array($request->path(), $access)){
                return redirect('forbidden');
            }else{
                return $next($request); 
            }
        }
    }
}
