@php
    $title = env('APP_NAME'). ' AGENT';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
   <div class="card">
        <div class="card-header d-flex justify-content-between">
           <div class="header-title">
              <h4 class="card-title">Agent Edit</h4>
           </div>
        </div>
        <div class="card-body">
            <form method="POST" action="{{ route('agents.update', $user->id)}}">
               @method('put')
               @csrf
               <div class="row">
                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="agent_name">Agent Name</label><span class="text-danger">*</span>
                           <input type="text" class="form-control" id="agent_name" name="agent_name"  placeholder="Name of Agent" value="{{ $user->name }}" required>
                           <small class="text-secondary" >
                              @error('agent_name')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>


                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="email">Email</label><span class="text-danger">*</span>
                           <input type="email" class="form-control" id="email" name="email" placeholder="Jhon@gmail.com" value="{{ $user->email }}" required>
                           <small class="text-secondary">
                              @error('email')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="mobile">Mobile Number</label><span class="text-danger">*</span>
                           <input type="tel" maxlength="10" minlength="10" class="form-control" id="mobile" name="mobile" placeholder="9691*****06" value="{{ $user->mobile }}" onkeypress="return event.charCode >= 48 && event.charCode <= 57" required>
                           <small class="text-secondary">
                              @error('mobile')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="address">Full Address</label>
                           <input type="text" class="form-control" id="address" name="address" placeholder="Agent address" value="{{ $user->address }}">
                           <small class="text-secondary">
                              @error('address')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>


                     <div class="col-md-6">
                        <div class="form-group">
                           <label for="password">Password</label><span class="text-danger">*</span>
                           <input type="password" class="form-control" id="password" name="password" placeholder="">
                           <small class="text-secondary">
                              @error('password')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                        <div class="form-group">
                           <label for="password">Confirm Password</label><span class="text-danger">*</span>
                           <input type="password" class="form-control" id="confirm_password" name="confirm_password" placeholder=""\>
                           <small class="text-secondary">
                              @error('confirm_password')
                              {{ $message }}
                              @enderror
                           </small>
                        </div>
                     </div>
               </div>

               <div class="text-right">
                  <button type="submit" class="btn btn-primary px-5 py-3">Update</button>
                  <a href="{{url('agents')}}" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
               </div>
            </form>
         </div>
   </div>
</div>
@endsection


@section('js')
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<<script type="text/javascript" src="https://maps.google.com/maps/api/js?key=AIzaSyCnr2cIpAbxu32ce__6vwmr8vuLWbz5L4M&libraries=places"></script>
<script>
</script>
<script>
    google.maps.event.addDomListener(window, 'load', initialize);

    function initialize() {
        var input = document.getElementById('address');
        var autocomplete = new google.maps.places.Autocomplete(input);

        autocomplete.addListener('place_changed', function () {
            var place = autocomplete.getPlace();
            $('#latitude').val(place.geometry['location'].lat());
            $('#longitude').val(place.geometry['location'].lng());
        });
    }
</script>
@endsection
