@php
    $title = env('APP_NAME'). ' LEAD';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
   <div class="card">
            <div class="card-header d-flex justify-content-between">
                <div class="header-title">
                   <h4 class="card-title">Personal Details</h4>
                </div>
             </div>

        <div class="card-body">
           <form method="POST" action="{{ route('leads.store')}}" id="lead_form">
             @csrf
              <div class="row">
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Projects</label><span class="text-danger">*</span>
                        <select class="form-control select2" name="project" id="project" required >
                            <option value="">Select Projects</option>
                            @foreach ($project as $key => $projects)
                            <option value="{{ $projects->id }}" {{ old('project') == $projects->id ?'selected' : '' }} >{{ $projects->project_name }}</option>
                            @endforeach
                        </select>
                        @error('project')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Customer Name</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="customer_name"  placeholder="Customer Name" value="{{ old('customer_name') }}" required>
                        @error('costmer_name')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Company Name</label>
                        <input type="text" class="form-control"  name="company_name"  placeholder="Company Name" value="{{ old('company_name') }}" >
                        @error('company_name')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                     </div>
                  </div>
                  <div class="col-md-4">
                      <div class="form-group">
                          <label for="Lead_label">Email</label>
                          <input type="email" class="form-control"  name="email"  placeholder="Email" value="{{ old('email') }}">
                          @error('email')
                            <div class="text-secondary">{{ $message }}</div>
                            @enderror
                        </div>
                  </div>
                  <div class="col-md-4">
                      <div class="form-group">
                        <label for="Lead_label">Mobile No</label><span class="text-danger">*</span>
                        <input type="text" value="{{ old('mobile') }}" onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 43 || event.charCode == 32)" class="form-control"  name="mobile" placeholder="Mobile No" id="mobile" required>
                        @error('mobile')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                       </div>
                  </div>
                  <div class="col-md-4">
                      <div class="form-group">
                        <label for="alternet_mobile">Alternet Mobile</label>
                        <input type="text" value="{{ old('mobile') }}" class="form-control" name="alternet_mobile" id="alternet_mobile" placeholder="9691******" id="alternet_mobile">
                        @error('alternet_mobile')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                       </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Country</label><span class="text-danger">*</span>
                        <select class="form-control select2" name="country" id="country" onchange="state_data(this.value)" required>
                            <option value="">Select Country</option>
                                @foreach ($country as $key => $country_val)
                                <option value="{{ $country_val->id }}" {{ old('country') ==  $country_val->id ? 'selected' : '' }} >{{ $country_val->name }}</option>
                                @endforeach
                            </select>
                    </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="Lead_label">State</label>
                            <select class="form-control select2" value="{{ old('state') }}" name="state" id="state" onchange="city_data(this.value)">
                                <option value="">Select State</option>
                            </select> 
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="Lead_label">City</label>
                            <select class="form-control select2" value="{{ old('city') }}" name="city" id="city">
                                <option value="">Select City</option>
                            </select>
                        </div>
                    </div>
  
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Status</label><span class="text-danger">*</span>
                        <select class="form-control" name="current_status" id="current_status" required >
                            <option value="">Select Status</option>
                                @foreach ($status as $key => $stat)
                                <option {{ old('current_status') == $stat->id ? 'selected' : '' }} value="{{ $stat->id }}">{{ $stat->status_name }}</option>
                                @endforeach 
                        </select>
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Follow Up</label><span class="text-danger">*</span>
                        <input type="date" class="form-control"  name="follow_up"  placeholder="Follow Up" value="{{ old('follow_up') }}" required>
                        @php
                            $dt = new DateTime();
                        @endphp
                        <label for="Lead_label">Follow Up Time</label><span class="text-danger">*</span>
                        <input type="time" class="form-control" id="follow_up_time"  name="follow_up_time" required>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Select Seals Member</label><span class="text-danger">*</span>
                      @if (Auth::user()->user_type == 1)
                      <select class="form-control" name="Q_S_Name" id="Q_S_Name" required>
                        <option value="">Select Agent</option>
                        @foreach ($agent as $key => $agnt)
                            <option value="{{ $agnt->id }}" {{ old('Q_S_Name') == $agnt->id ? 'selected' : '' }} >{{ $agnt->name }}</option>
                        @endforeach
                      </select>
                      @endif

                      @if (Auth::user()->user_type == 0)
                      <input type="text" class="form-control"  name="Q_S_Name"  placeholder="Agent Name" value="{{Auth::user()->id}}" readonly required>
                      @endif
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Feedback</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="feedback"  placeholder="Feedback" value="{{ old('feedback') }}" required>
                        @error('feedback')
                            <div class="text-secondary">{{ $message }}</div>
                        @enderror
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Reference</label>
                        <input type="text" class="form-control"  name="reference"  placeholder="Reference By" value="{{ old('reference') }}">
                     </div>
                  </div>
              </div>

                <div class="text-right">
                    <button type="submit" class="btn btn-primary px-5 py-3">Submit</button>
                   <a href="{{url('agents')}}" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
                 </div>
              </form>
                </div>
            </div>
             </div>
              </div>
@endsection

@section('js')
<script> 
 
 $( document ).ready(function() {
        const date = new Date();
        $('#follow_up_time').val(date.getHours()+':'+date.getMinutes()) 

        $('.select2').select2()

        if($('#country').val() > 0){
          state_data($('#country').val(), $('#state').attr("value")) 
        }
         
         
        state = parseInt(document.getElementById('state').value);
        if(state > 0){
            state_data(state)
        }  
      }); 
    function state_data(country_id, attribute = ''){    
        $.ajax({
            url: "{{ url('/select-state') }}",
            type: 'POST',
            data: {
                "_token": "{{ csrf_token() }}",
                "id": country_id
            },
            success: function(data) {
                var data = JSON.parse(data); 
                var listitems = '<option value="">Select State</option>';
                $.each(data, function(key, value) {
                    listitems += `<option value="${value.state_id}" ${attribute == value.state_id ? 'selected' : ''} >${value.state}</option>`;
                }); 
                $('#state').html(listitems); 
                if($('#state').val() > 0){
                city_data($('#state').val(), $('#city').attr("value"))
                }
            }
        });  
    }

    function city_data(stateid, attribute = ''){   
        $.ajax({
            url: "{{url('/select-city')}}",
            type: 'POST',
            data: {
                "_token": "{{ csrf_token() }}",
                "id": stateid
            },
            success: function(data) {
                var data = JSON.parse(data);
                var listitems = '<option value="">Select City</option>';
                $.each(data, function(key, value) {
                    listitems += `<option value="${value.city_id}" ${attribute == value.city_id ? 'selected' : ''} >${value.city_name}</option>`;
                });
                $('#city').html(listitems);
            }
        });
    }

    function set_val(id,inp_val){
        id.val(inp_val)
    } 
</script>
@endsection
