@php
    $title = env('APP_NAME'). ' LEAD';
@endphp
@extends('master.master')
@section('content')
<style>
  .table th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }
</style>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <div class="header-title">
                    <h4 class="card-title">Leads</h4>
                </div>
              </div>
              <div class="col-md-6">
                <a style="float: right;" href="{{route('leads.create')}}" class="reNumber btn btn-danger mb-3">New Lead</a>
              </div>
            </div>
        </div>
        <div class="card-body">
          <div class="panel-body">
              <div class="table-responsive">
                  <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                      <thead>
                        <tr>
                            <th>Sr No.</th>
                            <th class="text-center">Projects</th>
                            <th class="text-center">Customer Name</th>
                            <th class="text-center">Company Name</th>
                            <th class="text-center">Agent Name</th>
                            <th class="text-center">Feedback</th>
                            <th class="text-center">Status</th>
                            <th class="text-center">Mobile</th>
                            <th class="text-center">Date</th>
                            <th class="text-center">Action</th>
                        </tr>
                      </thead>
                      <tbody>
                        @foreach($leads as $key=>$row)
                        <tr class="border-top">
                            <td>{{$key+1}}</td>
                            <td class="text-center">{{$row->project_name ?? '' }}</td>
                            <td class="text-center">{{$row->customer_name}}</td>
                            <td class="text-center">{{$row->company_name}}</td>
                            <td class="text-center"> {{$row->name  }}
                            </td>
                            <td class="text-center">{{substr($row->feedback, 0, 20)}}...</td>
                            <td class="status-dropdown text-center">
                                <select class="form-control" name="current_status" id="status" onchange="change_status($(this).val(), {{ $row->id }} )">
                                    <option value="{{$row->current_status}}">Select</option>
                                      @foreach ($status as $k=>$status_vals)
                                      <option  value="{{$status_vals->id}}" {{$status_vals->id == $row->current_status ? 'selected': ''}} >{{$status_vals->status_name}}</option>
                                      @endforeach 
                                  </select></td>
                            </td>
                            <td>
                                <a href="tel:{{ $row->mobile }}">{{ $row->mobile }}</a>
                            </td>
                            <td>
                                {{ $row->created_at }}
                            </td>
                            <td class="text-center">
                                <div class="d-flex actions__btn"> 
                                    <span><a href="{{route('leads.show', $row->id)}}" class="btn btn-primary las la la-eye mr-2"></a></span>
                                    <span><a href="{{ route('leads.edit', $row->id) }}" class="btn btn-warning las la la-pencil-alt mr-2"></a></span>
                                    <form method="POST" action="{{route('leads.destroy', $row->id)}}" accept-charset="UTF-8">
                                        @method('DELETE')
                                        @csrf
                                        <button type="submit" class="btn btn-danger las la la-trash" title="Delete" onclick="return confirm('Do You want to Delete?')"></button>
                                      </form>
                                      <a href="#" class="btn btn-warning las la la-envelope ml-2" data-toggle="modal" data-target="#new-order" onclick="set_mobile('{{ $row->mobile }}','{{ $row->email }}')"> </a> 
                                </div>
                            </td>
                        </tr> 
                      @endforeach
                      </tbody>
                  </table>
                  </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="new-order" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
          <div class="modal-body">
              <div class="popup text-left">
                  <h4 class="mb-3">Share</h4>
                  <div class="content create-workform bg-body">
                      <div class="pb-3" id="btns">
                        <span><a target="_blank" href="https://wa.me/+91{{$row->mobile ?? ''}}" class="btn btn-warning las la la-whatsapp ml-2"></a></span>
                        <span><a target="_blank" href="{{ url('send-mail/'.$row->id) }}" class="btn btn-warning las la la-envelope ml-2"></a></span>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
@endsection

@section('js')
    @include('master.datatable')
    <script>
        $('#mytable').DataTable({

        });
    </script>

<script>


    function change_status(id, row_id) { 
         $.ajax({
            type: 'POST',
            url: "{{ url('/admin/leads_status') }}",
            data: {
               "_token": "{{ csrf_token() }}",
               "id": row_id,
               "status": id,
            },
            success: function(data) {
               window.location.reload();
            }
         })

      }
      
      function set_mobile(mobile,id){ 
          btns = '';
          if(mobile != ''){
              btns = '<span><a target="_blank" href="https://web.whatsapp.com/send/?phone='+mobile+'" class="btn btn-warning las la la-whatsapp ml-2"></a></span>'
          }
          if(id != ''){ 
              btns = btns+ '<span><a target="_blank" href="mailto:'+id+'" class="btn btn-warning las la la-envelope ml-2"></a></span>'
            //   btns = btns+ '<span><a target="_blank" href="https://mail.google.com/mail/u/0/?fs=1&tf=cm&source=mailto&su=SUBJECT&to='+id+'" class="btn btn-warning las la la-envelope ml-2"></a></span>'
          }
          $('#btns').html(btns) 
      }

   </script>

@endsection

