@php
    $title = env('APP_NAME'). ' Lead Print';
@endphp
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- ========== Favicon Icon ========== -->
    <link rel="shortcut icon" href="" type="image/x-icon">
    <!-- ========== Google Fonts ========== -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
    <!-- ========== Start Stylesheet ========== -->
    <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
    <link rel="stylesheet" href="{{asset('assets/css/backend-plugin.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/backende209.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/remixicon/fonts/remixicon.css')}}">
    <title>
        @isset($title)
            {{$title}}
        @endisset
    </title>
    <style>
        .table th {
            font-size: 14px;
            background-color: #020940;
            color: #fff;
        } 
      
    </style>
</head>
<body>
    <div class="container-fluid">
        <div class="row"> 
            <div class="col-md-12">
                <div class="heading-style">
                    <h3 style="text-align: left;" >Lead Details</h3>
                </div> 
                <div class="card mt-3">
                    <div class="card-body">
                        {{-- <h5 class="border-bottom pb-2 mb-2">Personal Details</h5> --}}
                        <div class="row saledetails">
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Name</strong>
                                <p>{{$lead_data->project_name ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Mobile No.</strong>
                                <p>{{$lead_data->customer_name ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Email</strong>
                                <p>{{$lead_data->email ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Mobile</strong>
                                <p>{{$lead_data->mobile ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Alternet Mobile</strong>
                                <p>{{$lead_data->alternet_mobile ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>State</strong>
                                <p>{{$lead_data->country_name ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>State</strong>
                                <p>{{$lead_data->state ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>City</strong>
                                <p>{{$lead_data->city_name ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Agent Name</strong>
                                <p>{{$agent->name ?? ''}}</p>
                            </div>
    
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Follow Up</strong>
                                <p>{{$lead_data->follow_up ?? ''}}</p>
                            </div>
                            <div class="col-md-3 col-lg-2 border-bottom">
                                <strong>Feedback</strong>
                                <p>{{$lead_data->feedback ?? ''}}</p>
                            </div>
                        </div>
    
    
                    </div>
                </div>
    
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="d-flex align-items-center ">
                            <div class="form-group mb-0">
                                <select class="form-control" name="current_status" id="status" onchange="change_status($(this).val(), {{ $lead_data->id }} )">
                                    <option value="">Select</option>
                                    @foreach ($status as $k=>$status_vals)
                                        <option  value="{{$status_vals->id}}" {{$status_vals->id == $lead_data->current_status ? 'selected': ''}} >{{$status_vals->status_name}}</option>
                                    @endforeach
    
                                </select>
                            </div>
                            <div class="status-label ml-auto"><label>Follow up</label></div>
                        </div>
                    </div>
                </div> 

                @include('admin.leads.commentsDisplay', [ 'lead_id' => $lead_data->id])
            </div>
        </div>
    </div>
    @include('master.footer')
    <script>
       $(document).ready(function(){
        window.print()
       })
    </script>
</body>
</html>






