@php
    $title = env('APP_NAME'). ' LEAD';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
   <div class="card">
        <div class="card-header d-flex justify-content-center">
           <div class="header-title">
              <h4 class="card-title">LEAD UPDATE</h4>
           </div>
        </div>
        <div class="card-header d-flex justify-content-between">
            <div class="header-title">
               <h4 class="card-title">Personal Details</h4>
            </div>
         </div>
        <div class="card-body">
            <form method="POST">
               @csrf
               <div class="row">  
                <div class="col-md-4">
                    <div class="form-group">
                         <label for="Lead_label">Projects</label><span class="text-danger">*</span>
                         <select class="form-control select2" name="project" required >
                            <option value="">Select Projects</option>
                            @foreach ($project as $key => $projects)
                            <option data-sname="{{ $projects->project_name }}" value="{{ $projects->id }}" {{ $projects->id == $lead->project ? 'selected': ''  }}>{{ $projects->project_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Customer Name</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="customer_name"  placeholder="Customer Name" value="{{$lead->customer_name ?? ''}}" required>
                     </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Company Name</label>
                        <input type="text" class="form-control"  name="company_name"  placeholder="Company Name" value="{{$lead->company_name ?? ''}}" >
                     </div>
                  </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">Email</label>
                      <input type="email" class="form-control"  name="email"  placeholder="Email" value="{{$lead->email}}" >
                   </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Mobile No</label><span class="text-danger">*</span>
                        <input type="tel" class="form-control" maxlength="11" minlength="10"  name="mobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Mobile No" value="{{$lead->mobile}}" required>
                     </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                      <label for="alternet_mobile">Alternet Mobile</label>
                      <input type="text" class="form-control" name="alternet_mobile" id="alternet_mobile" placeholder="9691******" id="alternet_mobile" value="{{ $lead->alternet_mobile }}">
                      @error('alternet_mobile')
                          <div class="text-secondary">{{ $message }}</div>
                      @enderror
                     </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">Country</label>
                      <select class="form-control select2" name="country" id="country" onchange="state_data(this.value)" required>
                          <option value="">Select Country</option>
                              @foreach ($country as $key => $country_val)
                              <option value="{{ $country_val->id }}" {{ $lead->country ==  $country_val->id ? 'selected' : '' }} >{{ $country_val->name }}</option>
                              @endforeach
                          </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">State</label>
                      <select class="form-control select2" value="{{ $lead->state }}" name="state" id="state" onchange="city_data(this.value)">
                          <option value="">Select State</option>
                      </select> 
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">City</label>
                      <select class="form-control select2" value="{{ $lead->city }}" name="city" id="city">
                          <option value="">Select City</option>
                      </select>
                  </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Status</label><span class="text-danger">*</span>
                        <select class="form-control" name="current_status" id="current_status">
                            <option value="">Select Status</option>
                            @foreach ($status as $key => $stat)
                            <option data-sname="{{ $stat->status_name }}" value="{{ $stat->id }}" {{$stat->id == $lead->current_status ? 'selected': ''  }} >{{ $stat->status_name }}</option>
                            @endforeach

                        </select>
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Follow Up</label><span class="text-danger">*</span>
                        <input type="date" class="form-control"  name="follow_up"  placeholder="Follow Up" value="{{$lead->follow_up ?? '' }}" required> 
                        <input type="time" class="form-control"  name="follow_up_time" value="{{ $lead->follow_up_time }}" required>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Agent Name</label><span class="text-danger">*</span>
                      @if (Auth::user()->user_type == 1)
                      <select class="form-control" name="Q_S_Name" id="Q_S_Name">
                        <option value="">Select Agent</option>
                        @foreach ($agent as $key => $stat)
                        <option  value="{{$stat->id}}" {{$stat->id == $lead->created_by ? 'selected': ''}} >{{$stat->name}}</option>
                        @endforeach
                      </select>
                      @endif

                      @if (Auth::user()->user_type == 0)
                      <input type="text" class="form-control"  name="Q_S_Name"  placeholder="Agent Name" value="{{Auth::user()->name}}" readonly required>
                      @endif
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Feedback</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="feedback"  placeholder="Feedback" value="{{$lead->feedback ?? ''}}" required>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Reference</label>
                        <input type="text" class="form-control"  value="{{$lead->reference ?? ''}}"  name="reference"  placeholder="Reference By">
                     </div>
                  </div>
               </div>
                  <div class="text-right">
                    <button type="submit" class="btn btn-primary px-5 py-3">Update</button>
                   <a href="{{url('leads')}}" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
                 </div>
              </form>
        </div>
                </div>
            </div>

@endsection
@section('js') 
    <script>
      $( document ).ready(function() {
        $('.select2').select2()

        if($('#country').val() > 0){
          state_data($('#country').val(), $('#state').attr("value")) 
        }
         
         
        state = parseInt(document.getElementById('state').value);
        if(state > 0){
            state_data(state)
        }  
      });

      function state_data(country_id, attribute = ''){    
          $.ajax({
              url: "{{ url('/select-state') }}",
              type: 'POST',
              data: {
                  "_token": "{{ csrf_token() }}",
                  "id": country_id
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  console.log(data);
                  var listitems = '<option value="">Select State</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.state_id}" ${attribute == value.state_id ? 'selected' : ''} >${value.state}</option>`;
                  }); 
                  $('#state').html(listitems); 
                  if($('#state').val() > 0){
                    city_data($('#state').val(), $('#city').attr("value"))
                  }
              }
          });
          
      }
  
      function city_data(stateid, attribute = ''){   
          $.ajax({
              url: "{{url('/select-city')}}",
              type: 'POST',
              data: {
                  "_token": "{{ csrf_token() }}",
                  "id": stateid
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  var listitems = '<option value="">Select City</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.city_id}" ${attribute == value.city_id ? 'selected' : ''} >${value.city_name}</option>`;
                  });
                  $('#city').html(listitems);
              }
          });
      }
    </script>  
@endsection
