@php
    $title = env('APP_NAME') . ' LEAD';
@endphp
@extends('master.master')
@section('content')
    <style>
        .table th {
            font-size: 14px;
            background-color: #020940;
            color: #fff;
        }
    </style>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="header-title">
                                    <h4 class="card-title">Leads</h4>
                                </div>
                            </div> 
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-striped bordered table">
                                            <thead>
                                                <tr>
                                                    <th>Sr No.</th>
                                                    <th class="text-center" style="width: 70%">Notification</th> 
                                                    <th class="text-center">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody> 
                                                @if (count($leads) >= 1)
                                                    @foreach ($leads as $key =>  $item)
                                                        <tr class="m-0">
                                                            <td>{{ $key+1 }}</td>
                                                            <td>
                                                                <div class="row">
                                                                    <div class="col-3"><strong>Name : </strong><br><strong>Followup Date : </strong></div>
                                                                    <div class="col-3">{{ $item->customer_name ?? ''}}<br>{{ $item->follow_up ?? ''}}</div>
                                                                    <div class="col-3"><strong>Mobile : </strong><br><strong>Followup Time : </strong></div>
                                                                    <div class="col-3">{{ $item->mobile ?? '' }}<br>{{ date('h:i a', strtotime($item->follow_up_time))}}</div>
                                                                </div> 
                                                            </td>
                                                            <td class="text-center">
                                                                <div class="d-flex actions__btn"> 
                                                                    <span><a href="{{route('leads.show', $item->id)}}" class="btn btn-primary las la la-eye mr-2"></a></span>
                                                                    <span><a href="{{ url('notify_update', $item->id) }}" class="btn btn-warning las la la-pencil-alt mr-2"></a></span>
                                                                    <span><a href="{{url('notify_close', $item->id)}}" class="btn btn-danger las la la-close mr-2"></a></span>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <td colspan="2" class="text-center">No Notifications </td>
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div> 
@endsection

@section('js')  
    <script> 

    </script>
@endsection
