@php
    $title = env('APP_NAME'). ' My Profile';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
    <form method="POST"> 
        @csrf
        <div class="customer_records">
            <div class="card">
                <div class="card-body"> 
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Name</label>
                                        <input type="text" class="form-control" name="name" placeholder="Name" value="{{ Auth::user()->name }}" required>
                                        <small class="text-secondary" >
                                            @error('name')
                                            {{ $message }}
                                            @enderror
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Email</label>
                                        <input type="email" class="form-control" name="email" placeholder="Jhon@gmail.com" value="{{ Auth::user()->email }}" required>
                                        <small class="text-secondary" >
                                            @error('email')
                                            {{ $message }}
                                            @enderror
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Mobile</label>
                                        <input type="tel" maxlength="10" minlength="10" class="form-control" name="mobile" placeholder="9691*****06" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="{{ Auth::user()->mobile }}" required>
                                        <small class="text-secondary" >
                                            @error('mobile')
                                            {{ $message }}
                                            @enderror
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Address</label>
                                        <input type="text" class="form-control" name="address" placeholder="address" value="{{ Auth::user()->address }}">
                                        <small class="text-secondary" >
                                            @error('mobile')
                                            {{ $message }}
                                            @enderror
                                         </small>
                                    </div>
                                </div> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 

        <div class="text-center mb-4">
            <button type="submit" class="btn btn-primary px-5 py-3">Update Profile</button>
        </div>
    </form>
</div>

<div class="container-fluid mt-5"> 
        <div class="row">
            <div class="col-md-12">
                <form method="post">
                    @csrf
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Change Password</h4>
                        </div>
                        <div class="card-body"> 
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="row">
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">old Password</label>
                                                <input type="password" class="form-control" name="password" required>
                                                <small class="text-secondary" >
                                                    @error('password')
                                                    {{ $message }}
                                                    @enderror
                                                 </small>
                                            </div>
                                        </div> 
                                        
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">New Password</label>
                                                <input type="password" class="form-control" name="new_password" required>
                                                <small class="text-secondary" >
                                                    @error('new_password')
                                                    {{ $message }}
                                                    @enderror
                                                 </small>
                                            </div>
                                        </div> 
                                        
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">Confirm Password</label>
                                                <input type="password" class="form-control" name="confirm_password" required>
                                                <small class="text-secondary" >
                                                    @error('confirm_password')
                                                    {{ $message }}
                                                    @enderror
                                                 </small>
                                            </div>
                                        </div>  
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <div class="card-footer">
                            <div class="text-center mb-4">
                                <input type="hidden" name="forget" value="1">
                                <button type="submit" class="btn btn-primary px-5 py-3">Update Profile</button>
                            </div>
                        </div> 
                    </div>
                </form>
            </div>
        </div>  
</div>
@endsection