@php
    $title = env('APP_NAME'). ' REPORTS';
@endphp
@extends('master.master')
@section('content')
<style>
  #datatable thead tr th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }
  .dt-buttons button{
    display: inline-block;
    font-family: "Lato",sans-serif;
    font-weight: 400;
    color: #676E8A;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 10px;
    transition: color 0.15s ease-in-out,background-color 0.15s ease-in-out,border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    color: #fff;
    background-color: #32BDEA;
    border-color: #32BDEA;
    box-shadow: unset;
      }
</style>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="header-title">
              <h4 class="card-title">Lead Report</h4>
          </div>
        </div>
        <div class="card-body">
          <div class="panel-body">
            <form method="GET" action="">
            <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="Lead_label">Status</label>
                    <select class="form-control" name="status" id="status">
                        <option value="">Select</option>
                        @foreach ($status as $k=>$status_vals)
                        <option  value="{{$status_vals->id}}"  {{ request()->get('status') == $status_vals->id ? 'selected' : '' }}>{{$status_vals->status_name}}</option>
                        @endforeach
                      </select>
                   </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                      <label for="Lead_label">Project</label>
                      <select class="form-control" name="project" id="project">
                          <option value="">Select</option>
                          @foreach ($projects as $k=>$project)
                          <option  value="{{$project->id}}" {{ request()->get('project') == $project->id ? 'selected' : '' }} >{{$project->project_name}}</option>
                          @endforeach
                        </select>
                     </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Country</label>
                        <select class="form-control select2" name="country" id="country" onchange="state_data(this.value)">
                            <option value="">Select Country</option>
                                @foreach ($country as $key => $country_val)
                                <option value="{{ $country_val->id }}" {{ Request::get('country') ==  $country_val->id ? 'selected' : '' }} >{{ $country_val->name }}</option>
                                @endforeach
                            </select>
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">State</label>
                        <select class="form-control select2" value="{{ Request::get('state') }}" name="state" id="state" onchange="city_data(this.value)">
                            <option value="">Select State</option>
                        </select> 
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">City</label>
                        <select class="form-control select2" value="{{ Request::get('city') }}" name="city" id="city">
                            <option value="">Select City</option>
                        </select>
                    </div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Select Agent</label>
                        <select class="form-control select2" name="created_by" id="created_by">
                            <option value="">Select Agent</option>
                                @foreach ($agents as $agent_key => $agent_val)
                                <option value="{{ $agent_val->id }}" {{ Request::get('created_by') ==  $agent_val->id ? 'selected' : '' }} >{{ $agent_val->name }}</option>
                                @endforeach
                            </select>
                    </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">From Date</label><span class="text-danger">*</span>
                        <input type="date" class="form-control"  name="from_date" value="{{request()->get('from_date')}}"  placeholder="From Date" value="" >
                    </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">To Date</label><span class="text-danger">*</span>
                        <input type="date" class="form-control"  name="to_date" value="{{request()->get('to_date')}}"  placeholder="To Date" value="" >
                    </div>
                  </div>
            </div>
                  <div class="text-right">
                    <button type="submit" class="btn btn-sm btn-primary px-5 py-3">Submit</button>
                    <a href="{{url('report')}}" class="btn btn-sm bg-danger px-5 py-3 mr-4">Reset</a>
                 </div>
            </form>
          </div>
        </div>
    </div>


    <div class="card-body" id="T_body">
        <div class="panel-body">
            <div class="table-responsive">
                <table id="datatable" class="table table-striped bordered table protable" style="width:100%">
                    <thead>
                      <tr>
                          <th>Sr No.</th>
                          <th class="text-center">Projects</th> 
                          <th class="text-center">Agent</th> 
                          <th class="text-center">Customer Name</th> 
                          <th class="text-center">Mobile Number</th> 
                          <th class="text-center">Feedback</th>
                          <th class="text-center">Status</th>
                          <th class="text-center d-none">City</th>
                          <th class="text-center d-none">Referance</th>
                          <th class="text-center d-none">Updated Date</th>
                          <th class="text-center">Created Date</th> 
                      </tr>
                    </thead>
                    <tbody>
                      @foreach($tbl_data as $row)
                        @php 
                          $states = DB::table('tbl_states')->where('state_id',$row->state)->first();
                          $cities = DB::table('tbl_cities')->where('city_id',$row->city)->first();
                          $project = DB::table('projects')->where('id',$row->project)->first();
                          $agent = DB::table('users')->where('id',$row->created_by)->first();
                          $status = DB::table('status')->where('id',$row->current_status)->first(); 
                        @endphp 
                      <tr class="border-top">
                          <td>{{ $loop->iteration }}</td>
                          <td class="text-center">{{$project->project_name ?? '' }}</td> 
                          <td class="text-center">{{$agent->name ?? ''}}</td> 
                          <td class="text-center">{{$row->customer_name	}}</td> 
                          <td class="text-center">{{ $row->mobile }}</td> 
                          <td class="text-center">{{ $row->feedback }} </td>
                          <td class="text-center">{{$status->status_name ?? ''}}</td>
                          <td class="d-none">{{ $cities->city_name ?? '' }}</td>
                          <td class="d-none">{{ $row->reference ?? '' }}</td>
                          <td class="d-none">{{ $row->updated_at ?? '' }}</td>
                          <td>{{date('d-m-Y',strtotime($row->created_at))}}</td>
                          </td> 
                      </tr>
                    @endforeach
                    </tbody>
                </table>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
      </div>
</div>
</div>
@endsection

@section('js') 
    @include('master.datatable')
    <script>
      $( document ).ready(function() {
        // $('.select2').select2()

        if($('#country').val() > 0){
          state_data($('#country').val(), $('#state').attr("value")) 
        }
         
         
        state = parseInt(document.getElementById('state').value);
        if(state > 0){
            state_data(state)
        } 

        $('#datatable').DataTable({
            dom: 'Bfrtip',
            buttons: [
                'excel', 'pdf'
            ],
        }); 
      });

      function state_data(country_id, attribute = ''){    
          $.ajax({
              url: "{{ url('/select-state') }}",
              type: 'POST',
              data: {
                  "_token": "{{ csrf_token() }}",
                  "id": country_id
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  console.log(data);
                  var listitems = '<option value="">Select State</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.state_id}" ${attribute == value.state_id ? 'selected' : ''} >${value.state}</option>`;
                  }); 
                  $('#state').html(listitems); 
                  if($('#state').val() > 0){
                    city_data($('#state').val(), $('#city').attr("value"))
                  }
              }
          });
          
      }
  
      function city_data(stateid, attribute = ''){   
          $.ajax({
              url: "{{url('/select-city')}}",
              type: 'POST',
              data: {
                  "_token": "{{ csrf_token() }}",
                  "id": stateid
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  var listitems = '<option value="">Select City</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.city_id}" ${attribute == value.city_id ? 'selected' : ''} >${value.city_name}</option>`;
                  });
                  $('#city').html(listitems);
              }
          });
      }
    </script>  
@endsection



