@php
    $title = env('APP_NAME'). ' Reset Password';
@endphp
@extends('layouts.app')
<!DOCTYPE html>
<html lang="en">
<head>
   <!-- ========== Page Title ========== -->
   <title>
      @isset($title)
          {{$title}}
      @endisset
  </title>
  <!-- ========== Meta Tags ========== -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- ========== Favicon Icon ========== -->
  <link rel="shortcut icon" href="" type="image/x-icon">
  <!-- ========== Google Fonts ========== -->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
  <!-- ========== Start Stylesheet ========== -->
  <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
  <link rel="stylesheet" href="{{asset('assets/css/backend-plugin.min.css')}}">
  <link rel="stylesheet" href="{{asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')}}">
  <link rel="stylesheet" href="{{asset('assets/css/backende209.css')}}" />
  <link rel="stylesheet" href="{{asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')}}" />
  <link rel="stylesheet" href="{{asset('assets/vendor/remixicon/fonts/remixicon.css')}}">
</head>

@section('content')
<main class="login-form">
  <div class="cotainer">
      <div class="row justify-content-center">
          <div class="col-md-8">
              <div class="card">
                  <div class="card-header text-center">Reset Password</div>
                  <div class="card-body">
                        <div class="mt-5">
                            <header class="loginheader text-center">
                                <img style="width:200px;margin-top: -48px;" src="http://crm.lucky7bet.com/assets/images/qs-logo.png"></a>
                            </header>
                        </div>
                        <div class="row mt-2">
                            <div class="col-12" >
                                @if (\Session::has('success'))
                                    <div class="alert alert-success">
                                        <strong>{!! \Session::get('success') !!}</strong>
                                    </div>
                                @endif
                                @if (\Session::has('error'))
                                    <div class="alert alert-danger">
                                        <strong>{!! \Session::get('error') !!}</strong>
                                    </div>
                                @endif
                                @if ($errors->any())
                                    <div class="alert alert-danger">
                                        @foreach ($errors->all() as $error)
                                            <span>{{ $error }}</span>
                                        @endforeach
                                    </div>
                                @endif
                            </div>
                        </div>
                      <form action="{{ route('reset.password.post') }}" class="mt-3" method="POST">
                          @csrf
                          <input type="hidden" name="token" value="{{ $token }}">

                          <div class="form-group row">
                              <label for="email_address" class="col-md-4 col-form-label text-md-right">E-Mail Address</label>
                              <div class="col-md-6">
                                  <input type="text" id="email_address" class="form-control" name="email" required autofocus> 
                              </div>
                          </div>

                          <div class="form-group row">
                              <label for="password" class="col-md-4 col-form-label text-md-right">Password</label>
                              <div class="col-md-6">
                                  <input type="password" id="password" class="form-control" name="password" required autofocus> 
                              </div>
                          </div>

                          <div class="form-group row">
                              <label for="password-confirm" class="col-md-4 col-form-label text-md-right">Confirm Password</label>
                              <div class="col-md-6">
                                  <input type="password" id="password-confirm" class="form-control" name="password_confirmation" required autofocus>
                              </div>
                          </div>

                          <div class="col-md-6 offset-md-4">
                              <button type="submit" class="btn btn-primary">
                                  Reset Password
                              </button>
                          </div>
                      </form>

                  </div>
              </div>
          </div>
      </div>
  </div>
</main>
@endsection
