<!DOCTYPE html>
<html lang="en">
<head>
   <!-- ========== Page Title ========== -->
    <title>
        @isset($title)
            {{$title}}
        @endisset
    </title>
    <!-- ========== Meta Tags ========== -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- ========== Favicon Icon ========== -->
    <link rel="shortcut icon" href="" type="image/x-icon">
    <!-- ========== Google Fonts ========== -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
    <!-- ========== Start Stylesheet ========== -->
    <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
    <link rel="stylesheet" href="{{asset('assets/css/backend-plugin.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/backende209.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/remixicon/fonts/remixicon.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/select2.min.css')}}">
</head>
<body>
    <div id="loading">
        <div id="loading-center">
        </div>
    </div>
    <div class="wrapper">
        @include('master.sidebar')
        @include('master.header')
        <div class="content-page">
            <div class="row mx-2 my-2">
                <div class="col-12" >
                    @if (\Session::has('success'))
                        <div class="alert alert-success alert-dismissible">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close"><i class="las la-times-circle bg-success rounded"></i></a>
                            <strong>{!! \Session::get('success') !!}</strong>
                        </div>
                    @endif
                    @if (\Session::has('error'))
                        <div class="alert alert-danger alert-dismissible">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close"><i class="las la-times-circle bg-success rounded"></i></a>
                            <strong>{!! \Session::get('error') !!}</strong>
                        </div>
                    @endif 
                </div>
            </div>
            @yield('content')
        </div>
    </div>
    @include('master.footer')
    <script src="{{asset('assets/js/select2.min.js')}}"></script>
    @yield('js')
    <script>
        function pop_up(){ 
            var today = new Date(); 
            var temp_mint = ''
            var temp_hour = ''
            if(today.getMinutes() < 10){
                var temp_mint = "0" + today.getMinutes(); 
            }else{
                var temp_mint = today.getMinutes(); 
            }
            if(today.getHours() < 10){
                var temp_hour = '0'+today.getHours(); 
            }else{
                var temp_hour = today.getHours(); 
            }
            var c_time = temp_hour + ":" + temp_mint; 
            $.ajax({
                url : '{{ url("admin/pop") }}',
                type: 'POST',
                data: {
                    _token : '{{ csrf_token() }}',
                    user : '{{ Auth::user()->id }}',
                    time : c_time
                },
                success: function(data){
                    console.log(data)
                    out = JSON.parse(data); 
                    if(out.status == 1){
                        if(out.html !== ''){
                            $('#pop_time').html(out.html);
                        }
                        if(out.count !== ''){
                            $('#count1').html(out.count);
                            $('#count2').html(out.count);
                        }
                        $('#timer_popup').addClass('show')
                        $('#pop_div').addClass('show') 
                        play_sound()
                    }
                }
            })
        }
        setInterval(pop_up, 30000);

        async function play_sound(){
            var obj = document.createElement('audio');
            obj.src = '{{ url('assets/Message Tone.mp3') }}'; 
            obj.play();  
        }

    </script>
</body>
</html>
