<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\StatusMasterController;
use App\Http\Controllers\Agentcontrooler;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\LeadsController;
use App\Http\Controllers\StateCityController;
use App\Http\Controllers\ProjectsController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\Auth\ForgotPasswordController;
use App\Http\Controllers\Mailcontroller;




Route::get('/', function () {
    if(Auth::check()){
        return redirect('home');
    }else{
        return view('auth.login');
    }
});

Route::get('testing', [HomeController::class, 'testing']);

Route::get('forbidden', function(){ 
    return view('admin/not_found');
});

Auth::routes();

Route::group(['middleware'=>['auth', 'Userauth']], function(){
    Route::get('/home', [HomeController::class, 'index'])->name('home');
    Route::post('user-login', [HomeController::class, 'user_authentication']);
    Route::get('profile', [HomeController::class, 'profile']);
    Route::post('profile', [HomeController::class, 'profile']);
    Route::post('forget-password',[HomeController::class, 'forget_password']);

    Route::resource('status', StatusMasterController::class);
    Route::resource('agents', Agentcontrooler::class);
    Route::resource('leads', LeadsController::class);
    Route::resource('projects', ProjectsController::class);
    Route::resource('report', ReportController::class);

    Route::resource('comment', CommentController::class);

    Route::post('/admin/leads_status', [LeadsController::class, 'change_status']);
    Route::post('/admin/leads_status', [LeadsController::class, 'change_status']);
    Route::get('agents_lead', [LeadsController::class, 'agents_lead']);

    Route::post('/select-city',[StateCityController::class, 'selectCity']);
    Route::post('/select-state',[StateCityController::class, 'selectstate']);

    Route::get('leads-print/{id}', [LeadsController::class, 'print']);
    Route::get('send-mail/{id}', [Mailcontroller::class, 'index']);
    Route::post('admin/pop', [HomeController::class, 'popup']);
    
     // notifiction routes
    Route::get('lead-notifications', [LeadsController::class, 'notifications']);
    Route::get('notify_update/{id}', [LeadsController::class, 'notify_update_form']);
    Route::post('notify_update/{id}', [LeadsController::class, 'notify_update_submit']);
    Route::get('notify_close/{id}', [LeadsController::class, 'notify_close']);
});



Route::get('forget-password', [ForgotPasswordController::class, 'showForgetPasswordForm'])->name('forget.password.get');
Route::post('forget-password', [ForgotPasswordController::class, 'submitForgetPasswordForm'])->name('forget.password.post');
Route::get('reset-password/{token}', [ForgotPasswordController::class, 'showResetPasswordForm'])->name('reset.password.get');
Route::post('reset-password', [ForgotPasswordController::class, 'submitResetPasswordForm'])->name('reset.password.post');

