<?php
    $title = env('APP_NAME'). ' LEAD';
?>

<?php $__env->startSection('content'); ?>
<style>
  .table th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }
</style>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
            <div class="row">
              <div class="col-md-6">
                <div class="header-title">
                    <h4 class="card-title">Leads</h4>
                </div>
              </div>
              <div class="col-md-6">
                <a style="float: right;" href="<?php echo e(route('leads.create')); ?>" class="reNumber btn btn-danger mb-3">New Lead</a>
              </div>
            </div>
        </div>
        <div class="card-body">
          <div class="panel-body">
              <div class="table-responsive">
                  <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                      <thead>
                        <tr>
                            <th>Sr No.</th>
                            <th class="text-center">Projects</th>
                            <th class="text-center">Customer Name</th>
                            <th class="text-center">Company Name</th>
                            <th class="text-center">Agent Name</th>
                            <th class="text-center">Feedback</th>
                            <th class="text-center">Status</th>
                            <th class="text-center">Mobile</th>
                            <th class="text-center">Date</th>
                            <th class="text-center">Action</th>
                        </tr>
                      </thead>
                      <tbody>
                        <?php $__currentLoopData = $leads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="border-top">
                            <td><?php echo e($key+1); ?></td>
                            <td class="text-center"><?php echo e($row->project_name ?? ''); ?></td>
                            <td class="text-center"><?php echo e($row->customer_name); ?></td>
                            <td class="text-center"><?php echo e($row->company_name); ?></td>
                            <td class="text-center"> <?php echo e($row->name); ?>

                            </td>
                            <td class="text-center"><?php echo e(substr($row->feedback, 0, 20)); ?>...</td>
                            <td class="status-dropdown text-center">
                                <select class="form-control" name="current_status" id="status" onchange="change_status($(this).val(), <?php echo e($row->id); ?> )">
                                    <option value="<?php echo e($row->current_status); ?>">Select</option>
                                      <?php $__currentLoopData = $status; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$status_vals): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                      <option  value="<?php echo e($status_vals->id); ?>" <?php echo e($status_vals->id == $row->current_status ? 'selected': ''); ?> ><?php echo e($status_vals->status_name); ?></option>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                  </select></td>
                            </td>
                            <td>
                                <a href="tel:<?php echo e($row->mobile); ?>"><?php echo e($row->mobile); ?></a>
                            </td>
                            <td>
                                <?php echo e($row->created_at); ?>

                            </td>
                            <td class="text-center">
                                <div class="d-flex actions__btn"> 
                                    <span><a href="<?php echo e(route('leads.show', $row->id)); ?>" class="btn btn-primary las la la-eye mr-2"></a></span>
                                    <span><a href="<?php echo e(route('leads.edit', $row->id)); ?>" class="btn btn-warning las la la-pencil-alt mr-2"></a></span>
                                    <form method="POST" action="<?php echo e(route('leads.destroy', $row->id)); ?>" accept-charset="UTF-8">
                                        <?php echo method_field('DELETE'); ?>
                                        <?php echo csrf_field(); ?>
                                        <button type="submit" class="btn btn-danger las la la-trash" title="Delete" onclick="return confirm('Do You want to Delete?')"></button>
                                      </form>
                                      <a href="#" class="btn btn-warning las la la-envelope ml-2" data-toggle="modal" data-target="#new-order" onclick="set_mobile('<?php echo e($row->mobile); ?>','<?php echo e($row->email); ?>')"> </a> 
                                </div>
                            </td>
                        </tr> 
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </tbody>
                  </table>
                  </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="new-order" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
          <div class="modal-body">
              <div class="popup text-left">
                  <h4 class="mb-3">Share</h4>
                  <div class="content create-workform bg-body">
                      <div class="pb-3" id="btns">
                        <span><a target="_blank" href="https://wa.me/+91<?php echo e($row->mobile ?? ''); ?>" class="btn btn-warning las la la-whatsapp ml-2"></a></span>
                        <span><a target="_blank" href="<?php echo e(url('send-mail/'.$row->id)); ?>" class="btn btn-warning las la la-envelope ml-2"></a></span>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <?php echo $__env->make('master.datatable', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script>
        $('#mytable').DataTable({

        });
    </script>

<script>


    function change_status(id, row_id) { 
         $.ajax({
            type: 'POST',
            url: "<?php echo e(url('/admin/leads_status')); ?>",
            data: {
               "_token": "<?php echo e(csrf_token()); ?>",
               "id": row_id,
               "status": id,
            },
            success: function(data) {
               window.location.reload();
            }
         })

      }
      
      function set_mobile(mobile,id){ 
          btns = '';
          if(mobile != ''){
              btns = '<span><a target="_blank" href="https://web.whatsapp.com/send/?phone='+mobile+'" class="btn btn-warning las la la-whatsapp ml-2"></a></span>'
          }
          if(id != ''){ 
              btns = btns+ '<span><a target="_blank" href="mailto:'+id+'" class="btn btn-warning las la la-envelope ml-2"></a></span>'
            //   btns = btns+ '<span><a target="_blank" href="https://mail.google.com/mail/u/0/?fs=1&tf=cm&source=mailto&su=SUBJECT&to='+id+'" class="btn btn-warning las la la-envelope ml-2"></a></span>'
          }
          $('#btns').html(btns) 
      }

   </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/admin/leads/index.blade.php ENDPATH**/ ?>