<?php
    $title = env('APP_NAME'). ' Login Account';
?>
<!DOCTYPE html>
<html lang="en">
<head>
   <!-- ========== Page Title ========== -->
   <title>
      <?php if(isset($title)): ?>
          <?php echo e($title); ?>    
      <?php endif; ?>
  </title>
  <!-- ========== Meta Tags ========== -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- ========== Favicon Icon ========== -->
  <link rel="shortcut icon" href="" type="image/x-icon">
  <!-- ========== Google Fonts ========== -->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
  <!-- ========== Start Stylesheet ========== -->
  <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/css/backend-plugin.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('assets/css/backende209.css')); ?>" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')); ?>" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/remixicon/fonts/remixicon.css')); ?>">
</head>
<body>  
  <div class="container"> 
   <div class="row align-items-center justify-content-center height-self-center"> 
      <div class="col-lg-8">
        <div class="card auth-card"> 
            <div class="mt-5">
                <header class="loginheader text-center">
                    <img style="width:200px;margin-top: -48px;" src="http://crm.lucky7bet.com/assets/images/qs-logo.png"></a>
                </header>
            </div>
            <div class="card-body p-0">
               <div class="d-flex align-items-center auth-content">
                  <div class="col-lg-7 align-self-center">
                     <div class="p-3">
                        <h2 class="mb-2">Sign In</h2>
                        <p>Login to stay connected.</p> 
                        <div class="row mx-2 my-2">
                           <div class="col-12" >
                               <?php if(\Session::has('success')): ?>
                                   <div class="alert alert-success">
                                       <strong><?php echo \Session::get('success'); ?></strong>
                                   </div>
                               <?php endif; ?>
                               <?php if(\Session::has('error')): ?>
                                   <div class="alert alert-danger">
                                       <strong><?php echo \Session::get('error'); ?></strong>
                                   </div>
                               <?php endif; ?>
                               <?php if($errors->any()): ?>
                                   <div class="alert alert-danger">
                                       <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                           <span><?php echo e($error); ?></span>
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                   </div>
                               <?php endif; ?>
                           </div>
                       </div>
                        <form method="POST" action="<?php echo e(route('login')); ?>">
                          <?php echo csrf_field(); ?>
                          <div class="row">
                             <div class="col-lg-12">
                                <div class="floating-label form-group">
                                   <input id="email" type="email" class="floating-input form-control" name="email" value="<?php echo e(old('email')); ?>" required autocomplete="email" placeholder="Email" autofocus> 
                                </div>
                             </div>
                             <div class="col-lg-12">
                                <div class="floating-label form-group">
                                   <input id="password" type="password" class="floating-input form-control" placeholder="Password" name="password" required autocomplete="current-password"> 
                                </div>
                             </div> 
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <button type="submit" class="btn btn-primary"> <?php echo e(__('Login')); ?></button> 
                                </div>
                                <div class="col-lg-6">
                                    <a href="<?php echo e(route('forget.password.get')); ?>" class="text-primary float-right">Forgot Password?</a> 
                                </div>
                            </div>
                        </form>
                     </div>
                  </div>
                  <div class="col-lg-5 content-right">
                     <img src="assets/images/login.svg" class="img-fluid image-right" alt="">
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<footer class="iq-footer">
   <div class="container-fluid">
       <div class="card">
           <div class="card-body">
               <div class="row">
                   <div class="col-lg-6">
                       <ul class="list-inline mb-0">
                           
                       </ul>
                   </div>
                   <div class="col-lg-6 text-right">
                       <span class="mr-1">©</span> <a href="<?php echo e(url('/')); ?>" class="">CRM</a>.
                   </div>
               </div>
           </div>
       </div>
   </div>
</footer>
<?php echo $__env->yieldContent('js'); ?>
</body>
</html>
<?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/auth/login.blade.php ENDPATH**/ ?>