<!DOCTYPE html>
<html lang="en">
<head>
   <!-- ========== Page Title ========== -->
    <title>
        <?php if(isset($title)): ?>
            <?php echo e($title); ?>

        <?php endif; ?>
    </title>
    <!-- ========== Meta Tags ========== -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- ========== Favicon Icon ========== -->
    <link rel="shortcut icon" href="" type="image/x-icon">
    <!-- ========== Google Fonts ========== -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
    <!-- ========== Start Stylesheet ========== -->
    <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/backend-plugin.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/backende209.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/remixicon/fonts/remixicon.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/select2.min.css')); ?>">
</head>
<body>
    <div id="loading">
        <div id="loading-center">
        </div>
    </div>
    <div class="wrapper">
        <?php echo $__env->make('master.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('master.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="content-page">
            <div class="row mx-2 my-2">
                <div class="col-12" >
                    <?php if(\Session::has('success')): ?>
                        <div class="alert alert-success alert-dismissible">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close"><i class="las la-times-circle bg-success rounded"></i></a>
                            <strong><?php echo \Session::get('success'); ?></strong>
                        </div>
                    <?php endif; ?>
                    <?php if(\Session::has('error')): ?>
                        <div class="alert alert-danger alert-dismissible">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close"><i class="las la-times-circle bg-success rounded"></i></a>
                            <strong><?php echo \Session::get('error'); ?></strong>
                        </div>
                    <?php endif; ?> 
                </div>
            </div>
            <?php echo $__env->yieldContent('content'); ?>
        </div>
    </div>
    <?php echo $__env->make('master.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('js'); ?>
    <script>
        function pop_up(){ 
            var today = new Date(); 
            var temp_mint = ''
            var temp_hour = ''
            if(today.getMinutes() < 10){
                var temp_mint = "0" + today.getMinutes(); 
            }else{
                var temp_mint = today.getMinutes(); 
            }
            if(today.getHours() < 10){
                var temp_hour = '0'+today.getHours(); 
            }else{
                var temp_hour = today.getHours(); 
            }
            var c_time = temp_hour + ":" + temp_mint; 
            $.ajax({
                url : '<?php echo e(url("admin/pop")); ?>',
                type: 'POST',
                data: {
                    _token : '<?php echo e(csrf_token()); ?>',
                    user : '<?php echo e(Auth::user()->id); ?>',
                    time : c_time
                },
                success: function(data){
                    console.log(data)
                    out = JSON.parse(data); 
                    if(out.status == 1){
                        if(out.html !== ''){
                            $('#pop_time').html(out.html);
                        }
                        if(out.count !== ''){
                            $('#count1').html(out.count);
                            $('#count2').html(out.count);
                        }
                        $('#timer_popup').addClass('show')
                        $('#pop_div').addClass('show') 
                        play_sound()
                    }
                }
            })
        }
        setInterval(pop_up, 30000);

        async function play_sound(){
            var obj = document.createElement('audio');
            obj.src = '<?php echo e(url('assets/Message Tone.mp3')); ?>'; 
            obj.play();  
        }

    </script>
</body>
</html>
<?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/master/master.blade.php ENDPATH**/ ?>